/*=============================================================================}
{ This demo show how to use information about hypertext item.                  }
{------------------------------------------------------------------------------}
{ Key methods:                                                                 }
{ - GetJumpPointLocation;                                                      }
{ - methods for obtaining information about items (see first demo in this      }
{   group.                                                                     }
{ Useful if text is self-describing (for example, for WWW addresses).          }
{=============================================================================*/
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma link "RichView"
#pragma link "RVScroll"
#pragma link "RVStyle"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  RichView1->AddNLWTag("Hypertext",1,1,0);
  RichView1->AddNLWTag("Some text styles can be chosen as hypertext styles. ",0,0,0);
  RichView1->AddNLWTag("Like this one.",4,-1,0);
  RichView1->AddNLWTag(" You can have as many hypertext styles as you want.  ",0,-1,0);
  RichView1->AddNLWTag("Here is one more.",5,-1,0);
  RichView1->AddNLWTag("Images from Image Lists also can be hypertext: ",0,0,0);
  RichView1->AddHotspotEx("Pen Image", 0,1, ImageList1, -1);
  RichView1->AddNLWTag(" Such images are called 'hotspots'.",0,-1,0);
  RichView1->AddNLWTag("Normal images also can be hypertext: ",0,0,0);
  TIcon* ico = new TIcon;
  ico->Assign(Image1->Picture->Graphic);
  RichView1->AddHotPicture("Bobo", ico, -1, rvvaBaseline);
  RichView1->Format();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RichView1Jump(TObject *Sender, int id)
{
  int ItemNo;
  TCustomRVFormattedData* RVData;

  RichView1->GetJumpPointLocation(id, RVData, ItemNo);
  Panel1->Caption = "Clicked: "+RVData->GetItemTextW(ItemNo);
}
//---------------------------------------------------------------------------
